#include <iostream>

using namespace std;

int main(){
	int n, br=0;
	double max=0, p, a;
	cin >> n;
	double niz[n];
	for(int i=0; i < n; i++)
	{
		cin >> a >> niz[i];
	}
	for(int i=0; i < n; i++)
	{
		p=niz[i];
		for(int j=0; j < n; j++)
		{
			if(niz[j]>=p)
				br++;
		}
		if(max<a*br*p/100)
			max=a*br*p/100;
		br=0;
	}
	cout<<max;
}